Subject: bug#72888: Confusing descriptive text

From: Mattias Engdegård <[email-masked]>
Date: Sat, 31 Aug 2024 16:37:56 +0200

31 aug. 2024 kl. 14.58 skrev Eli Zaretskii <[email-masked]>:

> Doesn't that lose useful information?  It only tells what is compared
> recursively, but doesn't tell about comparing strings or integers or
> bool-vectors by themselves, which is IMO important.

That's a fair point. What about something like:

The @code{equal} function compares numbers, strings and bool-vectors by
value.  Lists, cons cells, vectors, records, markers, char-tables,
font objects, and function objects (closures)@footnote{However, equality
of distinct function objects cannot be guaranteed in general.} are
compared recursively by using @code{equal} on their constituent parts.